<?php
  echo "Entrez un nombre reel (ex: 2.3): ";
  fscanf(STDIN,"%f",$x);
  echo "Entrez la puissance entiere (ex: 3) : ";
  fscanf(STDIN,"%f",$n);
  
  $res=exp($n*log($x));
  echo "$x ** $n = $res".PHP_EOL;
?>